com.r3corda.protocols / BroadcastTransactionProtocol / NotifyTxRequestMessage

# NotifyTxRequestMessage

`data class NotifyTxRequestMessage : PartyRequestMessage`

### Constructors

<init> | `NotifyTxRequestMessage(tx: SignedTransaction, events: Set<ClientToServiceCommand>, replyToParty: Party, sessionID: Long)`

### Properties

events | `val events: Set<ClientToServiceCommand>`
replyToParty | `val replyToParty: Party`
sessionID | `val sessionID: Long`
tx | `val tx: SignedTransaction`

### Inherited Functions

getReplyTo | `open fun getReplyTo(networkMapCache: NetworkMapCache): MessageRecipients`